Subject: Re: [PATCH 1/4] fs: always build llseek.

From: Michal Suchánek <[email-masked]>
Date: Thu, 29 Aug 2019 12:06:57 +0200

On Wed, 28 Aug 2019 23:22:00 -0700
Christoph Hellwig <[email-masked]> wrote:

> On Wed, Aug 28, 2019 at 06:15:40PM +0200, Michal Suchánek wrote:
> > On Wed, 28 Aug 2019 08:15:52 -0700
> > Christoph Hellwig <[email-masked]> wrote:
> >   
> > > On Tue, Aug 27, 2019 at 10:21:06PM +0200, Michal Suchanek wrote:  
> > > > 64bit !COMPAT does not build because the llseek syscall is in the tables.    
> > > 
> > > Well, this will bloat thinkgs like 64-bit RISC-V for no good reason.
> > > Please introduce a WANT_LSEEK like symbol that ppc64 can select instead.  
> > 
> > It also builds when llseek is marked as 32bit only in syscall.tbl
> > 
> > It seems it was handled specially in some way before syscall.tbl was
> > added, though (removed in ab66dcc76d6ab8fae9d69d149ae38c42605e7fc5)  
> 
> Independ of if you need it on a purely 64-bit build on powerpc (which
> I'll let the experts figure out) it is not needed on a purely 64-bit
> build on other platforms.  So please make sure it is still built
> conditional, just possibly with an opt-in for powerpc.

AFAICT it is needed for all 64bit platforms with unified syscall.tbl.

I modified the syscall.tbl for powerpc to not need the syscall with
64bit only build but other platforms are still broken. There are a few
platforms that use multiple tables and on those the 64bit one indeed
does not contain llseek.

Thanks

Michal